libdbm-deep-perl_2.0011-1_all.deb


Advertisement

Description

libdbm-deep-perl - pure perl multi-level hash/array DBM that supports transactions

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdbm-deep-perl
Package version: 2.0011
Package release: 1
Package architecture: all
Package type: deb
Installed size: 345 B
Download size: 111.67 KB
Official Mirror: ftp.br.debian.org
DBM::Deep is an unique flat-file database module, written in pure perl. True multi-level hash/array support (unlike MLDBM, which is faked), hybrid OO / tie() interface, cross-platform FTPable files, ACID transactions, and is quite fast. Can handle millions of keys and unlimited levels without significant slow-down. Written from the ground-up in pure perl -- this is NOT a wrapper around a C-based DBM.

Alternatives

Requires

    Download

    Source package: libdbm-deep-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdbm-deep-perl deb package:
      # sudo apt-get install libdbm-deep-perl

    Files

    • /usr/share/doc/libdbm-deep-perl/NEWS.Debian.gz
    • /usr/share/doc/libdbm-deep-perl/changelog.Debian.gz
    • /usr/share/doc/libdbm-deep-perl/changelog.gz
    • /usr/share/doc/libdbm-deep-perl/copyright
    • /usr/share/man/man3/DBM::Deep.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Cookbook.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Engine.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Engine::File.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Internals.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Iterator.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Iterator::File::BucketList.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Iterator::File::Index.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Null.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Storage.3pm.gz
    • /usr/share/man/man3/DBM::Deep::Storage::File.3pm.gz
    • /usr/share/perl5/DBM/Deep.pm
    • /usr/share/perl5/DBM/Deep.pod
    • /usr/share/perl5/DBM/Deep/Array.pm
    • /usr/share/perl5/DBM/Deep/Cookbook.pod
    • /usr/share/perl5/DBM/Deep/Engine.pm
    • /usr/share/perl5/DBM/Deep/Hash.pm
    • /usr/share/perl5/DBM/Deep/Internals.pod
    • /usr/share/perl5/DBM/Deep/Iterator.pm
    • /usr/share/perl5/DBM/Deep/Null.pm
    • /usr/share/perl5/DBM/Deep/Sector.pm
    • /usr/share/perl5/DBM/Deep/Storage.pm
    • /usr/share/perl5/DBM/Deep/Engine/DBI.pm
    • /usr/share/perl5/DBM/Deep/Engine/File.pm
    • /usr/share/perl5/DBM/Deep/Iterator/DBI.pm
    • /usr/share/perl5/DBM/Deep/Iterator/File.pm
    • /usr/share/perl5/DBM/Deep/Iterator/File/BucketList.pm
    • /usr/share/perl5/DBM/Deep/Iterator/File/Index.pm
    • /usr/share/perl5/DBM/Deep/Sector/DBI.pm
    • /usr/share/perl5/DBM/Deep/Sector/File.pm
    • /usr/share/perl5/DBM/Deep/Sector/DBI/Reference.pm
    • /usr/share/perl5/DBM/Deep/Sector/DBI/Scalar.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/BucketList.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/Data.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/Index.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/Null.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/Reference.pm
    • /usr/share/perl5/DBM/Deep/Sector/File/Scalar.pm
    • /usr/share/perl5/DBM/Deep/Storage/DBI.pm
    • /usr/share/perl5/DBM/Deep/Storage/File.pm

    Changelog

    2014-01-14 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0011-1) unstable; urgency=medium * New upstream release. * Update years of upstream and packaging copyright. * Update build dependencies.

    2013-12-11 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0010-1) unstable; urgency=medium * New upstream release. * Drop pod.patch, applied upstream. * Drop unused lintian override (spelling-error-in-manpage). * Declare compliance with Debian Policy 3.9.5.

    2013-09-22 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0009-1) unstable; urgency=low * New upstream release. * Build depend on Module::Build 0.40.

    2013-05-26 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0008-2) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Nathan Handler ] * Email change: Nathan Handler -> nhandler@debian.org [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Add patch to fix a POD issue. (Closes: #709793) * Update years of packaging coypright. * Set Standards-Version to 3.9.4 (no changes). * Drop version from libdbd-sqlite3-perl in Suggests. Nothing older in the archive.

    2012-06-23 - Nathan Handler <nhandler@ubuntu.com> libdbm-deep-perl (2.0008-1) unstable; urgency=low * New upstream release * debian/control: Add myself to list of Uploaders * debian/copyright: Add myself to debian/* copyright * debian/watch: Remove comments

    2012-06-02 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0007-1) unstable; urgency=low * New upstream release. * Drop manpage patch, merged upstream.

    2012-04-07 - gregor herrmann <gregoa@debian.org> libdbm-deep-perl (2.0006-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release 2.0004. * Update my email address. * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * New upstream release 2.0006. * debian/copyright: update to Copyright-Format 1.0. * Update years of packaging copyright. * Bump Standards-Version to 3.9.3 (no changes).

    2010-09-12 - Ansgar Burchardt <ansgar@43-1.org> libdbm-deep-perl (2.0002-1) unstable; urgency=medium * New upstream release. + Errors out instead of corrupting the database when starting too many transactions. * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux systems".

    2010-08-25 - Ansgar Burchardt <ansgar@43-1.org> libdbm-deep-perl (2.0001-1) unstable; urgency=low * New upstream release. * Use debhelper compat level 8; no longer pass --buildsystem=perl_build in debian/rules as this is now selected by default. * debian/rules: Remove DBM::Deep::ConfigData module that gets generated by Module::Build. * debian/copyright: Refer to /usr/share/common-licenses/GPL-1. * Bump Standards-Version to 3.9.1.

    2010-07-24 - Ansgar Burchardt <ansgar@43-1.org> libdbm-deep-perl (2.0000-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release. + This version introduces a new file format for the File backend. It can still read databases from version 1.0003 and later. See NEWS.Debian or upstream changelog for details. * Remove build-dep on perl (>= 5.10) | libmodule-build-perl: stable has perl 5.10. * Bump Standards-Version to 3.9.0 (no changes). [ gregor herrmann ] * Refresh manpage-has-bad-whatis-entry.patch.

    Advertisement
    Advertisement